// ----------------------------------------------
// Implémentation de l'algorithme JeuduPendu
// Version : 2a
// ----------------------------------------------
$(document).ready(function () {
    // Initialisation (1)
    // Création du tableau des mots à chercher (1a)
    var Tmots = ["poisson", "chien", "chat", "souris", "canari", "vache", "veau", "canard", "mouton","cheval"];
    var motSecret; // Mot à trouver
    var TReponse = []; // Création du tableau pour la réponse (1c)
    var nbLettresManquantes;     // Création du compteur de lettres (1d)
    var touche; // Touche sélectionnée

    // Initialisation et rejouer
    var initialisation = function () {
        $("#mot-cache").text("");
        $("#mot-cache").css("font-size", "50px");
        motSecret = null;
        // Choix aléatoire d'un mot dans le tableau (1b)
        motSecret = Tmots[Math.floor(Math.random() * Tmots.length)];
        // Initialisation du tableau pour la réponse
        TReponse.length = motSecret.length;
        for (var i = 0; i < motSecret.length; i++) {
            TReponse[i] = "-";
        }
        // Initialisation du compteur de lettres (1d)
        nbLettresManquantes = TReponse.length;
        touche = null;
        // Instrumentation du code (A supprimer)
        console.log(motSecret, TReponse, nbLettresManquantes);
        // Premier affichage de la progression  (1e)
        $("#mot-cache").text(TReponse.join(" "));
    }

    initialisation(); // Premier jeu et rejouer

    // Boucle de jeu sur un évènement (2)
    $(".touche").click(function () {
        touche = $(this).text().toLocaleLowerCase(); // (2a)
        console.log(touche); // Instrumentation du code (A supprimer) 
        // si Touche Rejouer 
        if (touche === "rejouer") {
            initialisation();
        }
        // sinon si toutes les lettres ne sont pas trouvées 
        else if (nbLettresManquantes > 0) { // Test de la réponse (2b)
            for (var j = 0; j < motSecret.length; j++) {
                if ((motSecret[j] === touche) && (TReponse[j] === "-")) {
                    console.log(j); // Instrumentation du code (A supprimer)
                    TReponse[j] = touche;
                    nbLettresManquantes--;
                    console.log(touche, nbLettresManquantes); // Instrumentation du code (A supprimer)
                    // Affichage de la progression  (1e)
                    $("#mot-cache").html(TReponse.join(" "));
                }
            }
            // Message de félicitation (2c)
            if (nbLettresManquantes === 0) {
                for (var k = 0; k < motSecret.length; k++) {
                    TReponse[k] = TReponse[k].toLocaleUpperCase();
                }
                $("#mot-cache").css("font-size", "20px");
                $("#mot-cache").text("Félicitation, le mot est bien " + TReponse.join(""));
            }
        }
    });
});

